Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.algorithms
Class JCEMapper.Algorithm

    java.lang.Object
      org.apache.xml.security.algorithms.JCEMapper.Algorithm

Enclosing class:
  JCEMapper

    public static class JCEMapper.Algorithm

extends java.lang.Object

Represents the Algorithm xml element

Constructor Summary
`JCEMapper.Algorithm(org.w3c.dom.Element el)` Gets data from element
`JCEMapper.Algorithm(java.lang.String requiredKey, java.lang.String jceName)`
`JCEMapper.Algorithm(java.lang.String requiredKey, java.lang.String jceName, int keyLength)`
`JCEMapper.Algorithm(java.lang.String requiredKey, java.lang.String jceName, java.lang.String algorithmClass)`
`JCEMapper.Algorithm(java.lang.String requiredKey, java.lang.String jceName, java.lang.String algorithmClass, int keyLength)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEMapper.Algorithm

    public JCEMapper.Algorithm(org.w3c.dom.Element el)

  Gets data from element

  Parameters:
    `el` -

### JCEMapper.Algorithm

    public JCEMapper.Algorithm(java.lang.String requiredKey,
                               java.lang.String jceName)

### JCEMapper.Algorithm

    public JCEMapper.Algorithm(java.lang.String requiredKey,
                               java.lang.String jceName,
                               java.lang.String algorithmClass)

### JCEMapper.Algorithm

    public JCEMapper.Algorithm(java.lang.String requiredKey,
                               java.lang.String jceName,
                               int keyLength)

### JCEMapper.Algorithm

    public JCEMapper.Algorithm(java.lang.String requiredKey,
                               java.lang.String jceName,
                               java.lang.String algorithmClass,
                               int keyLength)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD